#!/usr/bin/env python3

from distutils.core import setup, Extension

iir_module = Extension('_iir',
	sources=['pyiir_wrap.cxx'],
	libraries=['iir++'],
	)

setup(name = 'iir',
	version = '1.0.3',
	author = 'Laurence Withers',
	description = 'IIR filter',
	ext_modules = [iir_module],
	py_modules = ['iir'],
	)
