/* libiir/src/libiir++/000_TopHeader.h
 * 
 *  Copyright: ©2014, Laurence Withers.
 *  Author: Laurence Withers <l@lwithers.me.uk>
 *  License: GPLv3
 */

#ifndef HEADER_libiirpp
#define HEADER_libiirpp

// standard includes, or includes needed for type declarations
#include <complex>
#include <vector>

// forward declares of opaque C structures (to avoid pulling in header)
extern "C" {
struct iir_coeff_t;
struct iir_filter_t;
}

/*! \defgroup libiirpp C++ library */

/*! \brief All %IIR library functions and classes.

\ingroup libiirpp

*/
namespace IIR {

/* options for text editors
vim: expandtab:ts=4:sw=4:syntax=cpp.doxygen
*/
