/* libiir/src/libiir++/000_TopSource.cc
 *
 *  Copyright: ©2014, Laurence Withers.
 *  Author: Laurence Withers <l@lwithers.me.uk>
 *  License: GPLv3
 */

// we need to include "iir.h" first, as it pulls in <complex.h>, which we need
// to take effect before "iir++.h" pulls in <complex>
#include "iir.h"

// now remove the preprocessor definition of complex to _Complex, which is fine
// for the C header but not good for the C++ header
#undef complex

#include "iir++.h"

// Below are all the includes used throughout the library.
#include <stdlib.h>

namespace IIR {

/* options for text editors
vim: expandtab:ts=4:sw=4
*/
